Package com.ocient.jdbc.proto

# Enum Class ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall

java.lang.Object
java.lang.Enum<ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall>
com.ocient.jdbc.proto.ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall>`, `Constable`

Enclosing class:
  `ClientWireProtocol.FetchSystemMetadata`

public static enum ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall extends Enum<ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall> implements com.google.protobuf.ProtocolMessageEnum
Protobuf enum `xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`GET_COLUMN_PRIVILEGES`
`GET_COLUMN_PRIVILEGES = 16;`
`GET_COLUMNS`
`GET_COLUMNS = 3;`
`GET_DATABASE_MAJOR_VERSION`
ints
`GET_DATABASE_MINOR_VERSION`
`GET_DATABASE_MINOR_VERSION = 13;`
`GET_DATABASE_PRODUCT_VERSION`
`GET_DATABASE_PRODUCT_VERSION = 11;`
`GET_INDEX_INFO`
`GET_INDEX_INFO = 4;`
`GET_NUMERIC_FUNCTIONS`
`GET_NUMERIC_FUNCTIONS = 7;`
`GET_SCHEMAS`
ResultSets
`GET_SQL_KEYWORDS`
strings
`GET_STRING_FUNCTIONS`
`GET_STRING_FUNCTIONS = 8;`
`GET_SYSTEM_FUNCTIONS`
`GET_SYSTEM_FUNCTIONS = 10;`
`GET_SYSTEM_TABLES`
`GET_SYSTEM_TABLES = 14;`
`GET_TABLE_PRIVILEGES`
`GET_TABLE_PRIVILEGES = 15;`
`GET_TABLES`
`GET_TABLES = 2;`
`GET_TIME_DATE_FUNCTIONS`
`GET_TIME_DATE_FUNCTIONS = 9;`
`GET_TYPE_INFO`
`GET_TYPE_INFO = 5;`
`GET_VIEWS`
`GET_VIEWS = 25;`
`INVALID`
`INVALID = 0;`
`UNRECOGNIZED`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GET_COLUMN_PRIVILEGES_VALUE`
`GET_COLUMN_PRIVILEGES = 16;`
`static final int`
`GET_COLUMNS_VALUE`
`GET_COLUMNS = 3;`
`static final int`
`GET_DATABASE_MAJOR_VERSION_VALUE`
ints
`static final int`
`GET_DATABASE_MINOR_VERSION_VALUE`
`GET_DATABASE_MINOR_VERSION = 13;`
`static final int`
`GET_DATABASE_PRODUCT_VERSION_VALUE`
`GET_DATABASE_PRODUCT_VERSION = 11;`
`static final int`
`GET_INDEX_INFO_VALUE`
`GET_INDEX_INFO = 4;`
`static final int`
`GET_NUMERIC_FUNCTIONS_VALUE`
`GET_NUMERIC_FUNCTIONS = 7;`
`static final int`
`GET_SCHEMAS_VALUE`
ResultSets
`static final int`
`GET_SQL_KEYWORDS_VALUE`
strings
`static final int`
`GET_STRING_FUNCTIONS_VALUE`
`GET_STRING_FUNCTIONS = 8;`
`static final int`
`GET_SYSTEM_FUNCTIONS_VALUE`
`GET_SYSTEM_FUNCTIONS = 10;`
`static final int`
`GET_SYSTEM_TABLES_VALUE`
`GET_SYSTEM_TABLES = 14;`
`static final int`
`GET_TABLE_PRIVILEGES_VALUE`
`GET_TABLE_PRIVILEGES = 15;`
`static final int`
`GET_TABLES_VALUE`
`GET_TABLES = 2;`
`static final int`
`GET_TIME_DATE_FUNCTIONS_VALUE`
`GET_TIME_DATE_FUNCTIONS = 9;`
`static final int`
`GET_TYPE_INFO_VALUE`
`GET_TYPE_INFO = 5;`
`static final int`
`GET_VIEWS_VALUE`
`GET_VIEWS = 25;`
`static final int`
`INVALID_VALUE`
`INVALID = 0;`

## Method Summary

Modifier and Type
Method
Description
`static ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall`
`forNumber(int value)`
`static final com.google.protobuf.Descriptors.EnumDescriptor`
`getDescriptor()`
`final com.google.protobuf.Descriptors.EnumDescriptor`
`getDescriptorForType()`
`final int`
`getNumber()`
`final com.google.protobuf.Descriptors.EnumValueDescriptor`
`getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall>`
`internalGetValueMap()`
`static ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall`
`valueOf(int value)`
Deprecated.
`static ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall`
`valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INVALID

public static final ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall INVALID
`INVALID = 0;`

### GET_SCHEMAS

public static final ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall GET_SCHEMAS

     ResultSets

`GET_SCHEMAS = 1;`

### GET_TABLES

public static final ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall GET_TABLES
`GET_TABLES = 2;`

### GET_SYSTEM_TABLES

public static final ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall GET_SYSTEM_TABLES
`GET_SYSTEM_TABLES = 14;`

### GET_TABLE_PRIVILEGES

public static final ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall GET_TABLE_PRIVILEGES
`GET_TABLE_PRIVILEGES = 15;`

### GET_COLUMN_PRIVILEGES

public static final ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall GET_COLUMN_PRIVILEGES
`GET_COLUMN_PRIVILEGES = 16;`

### GET_VIEWS

public static final ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall GET_VIEWS
`GET_VIEWS = 25;`

### GET_COLUMNS

public static final ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall GET_COLUMNS
`GET_COLUMNS = 3;`

### GET_INDEX_INFO

public static final ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall GET_INDEX_INFO
`GET_INDEX_INFO = 4;`

### GET_TYPE_INFO

public static final ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall GET_TYPE_INFO
`GET_TYPE_INFO = 5;`

### GET_SQL_KEYWORDS

public static final ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall GET_SQL_KEYWORDS

     strings

`GET_SQL_KEYWORDS = 6;`

### GET_NUMERIC_FUNCTIONS

public static final ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall GET_NUMERIC_FUNCTIONS
`GET_NUMERIC_FUNCTIONS = 7;`

### GET_STRING_FUNCTIONS

public static final ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall GET_STRING_FUNCTIONS
`GET_STRING_FUNCTIONS = 8;`

### GET_TIME_DATE_FUNCTIONS

public static final ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall GET_TIME_DATE_FUNCTIONS
`GET_TIME_DATE_FUNCTIONS = 9;`

### GET_SYSTEM_FUNCTIONS

public static final ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall GET_SYSTEM_FUNCTIONS
`GET_SYSTEM_FUNCTIONS = 10;`

### GET_DATABASE_PRODUCT_VERSION

public static final ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall GET_DATABASE_PRODUCT_VERSION
`GET_DATABASE_PRODUCT_VERSION = 11;`

### GET_DATABASE_MAJOR_VERSION

public static final ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall GET_DATABASE_MAJOR_VERSION

     ints

`GET_DATABASE_MAJOR_VERSION = 12;`

### GET_DATABASE_MINOR_VERSION

public static final ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall GET_DATABASE_MINOR_VERSION
`GET_DATABASE_MINOR_VERSION = 13;`

### UNRECOGNIZED

public static final ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall UNRECOGNIZED

## Field Details

### INVALID_VALUE

public static final int INVALID_VALUE
`INVALID = 0;`

See Also:
  - Constant Field Values

### GET_SCHEMAS_VALUE

public static final int GET_SCHEMAS_VALUE

     ResultSets

`GET_SCHEMAS = 1;`

See Also:
  - Constant Field Values

### GET_TABLES_VALUE

public static final int GET_TABLES_VALUE
`GET_TABLES = 2;`

See Also:
  - Constant Field Values

### GET_SYSTEM_TABLES_VALUE

public static final int GET_SYSTEM_TABLES_VALUE
`GET_SYSTEM_TABLES = 14;`

See Also:
  - Constant Field Values

### GET_TABLE_PRIVILEGES_VALUE

public static final int GET_TABLE_PRIVILEGES_VALUE
`GET_TABLE_PRIVILEGES = 15;`

See Also:
  - Constant Field Values

### GET_COLUMN_PRIVILEGES_VALUE

public static final int GET_COLUMN_PRIVILEGES_VALUE
`GET_COLUMN_PRIVILEGES = 16;`

See Also:
  - Constant Field Values

### GET_VIEWS_VALUE

public static final int GET_VIEWS_VALUE
`GET_VIEWS = 25;`

See Also:
  - Constant Field Values

### GET_COLUMNS_VALUE

public static final int GET_COLUMNS_VALUE
`GET_COLUMNS = 3;`

See Also:
  - Constant Field Values

### GET_INDEX_INFO_VALUE

public static final int GET_INDEX_INFO_VALUE
`GET_INDEX_INFO = 4;`

See Also:
  - Constant Field Values

### GET_TYPE_INFO_VALUE

public static final int GET_TYPE_INFO_VALUE
`GET_TYPE_INFO = 5;`

See Also:
  - Constant Field Values

### GET_SQL_KEYWORDS_VALUE

public static final int GET_SQL_KEYWORDS_VALUE

     strings

`GET_SQL_KEYWORDS = 6;`

See Also:
  - Constant Field Values

### GET_NUMERIC_FUNCTIONS_VALUE

public static final int GET_NUMERIC_FUNCTIONS_VALUE
`GET_NUMERIC_FUNCTIONS = 7;`

See Also:
  - Constant Field Values

### GET_STRING_FUNCTIONS_VALUE

public static final int GET_STRING_FUNCTIONS_VALUE
`GET_STRING_FUNCTIONS = 8;`

See Also:
  - Constant Field Values

### GET_TIME_DATE_FUNCTIONS_VALUE

public static final int GET_TIME_DATE_FUNCTIONS_VALUE
`GET_TIME_DATE_FUNCTIONS = 9;`

See Also:
  - Constant Field Values

### GET_SYSTEM_FUNCTIONS_VALUE

public static final int GET_SYSTEM_FUNCTIONS_VALUE
`GET_SYSTEM_FUNCTIONS = 10;`

See Also:
  - Constant Field Values

### GET_DATABASE_PRODUCT_VERSION_VALUE

public static final int GET_DATABASE_PRODUCT_VERSION_VALUE
`GET_DATABASE_PRODUCT_VERSION = 11;`

See Also:
  - Constant Field Values

### GET_DATABASE_MAJOR_VERSION_VALUE

public static final int GET_DATABASE_MAJOR_VERSION_VALUE

     ints

`GET_DATABASE_MAJOR_VERSION = 12;`

See Also:
  - Constant Field Values

### GET_DATABASE_MINOR_VERSION_VALUE

public static final int GET_DATABASE_MINOR_VERSION_VALUE
`GET_DATABASE_MINOR_VERSION = 13;`

See Also:
  - Constant Field Values

## Method Details

### values

public static ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

### valueOf

@Deprecated public static ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall valueOf(int value)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

### internalGetValueMap

public static com.google.protobuf.Internal.EnumLiteMap<ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall> internalGetValueMap()

### getValueDescriptor

public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptorForType

public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptor

public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null